

  <div class="heightContainer">
    <div class="heightHeading">
      <h1>Height</h1>
    </div>

    <div class="heightPicDiv">
      <img class="heightImage" src="../../../assets/Images/heightMan.svg" alt="">
    </div>

    <div *ngIf="!heightMetric" class="feetInput">
      <mat-form-field class="inputField">
        <mat-label>Feet</mat-label>
        <input matInput (change)="checkHeight()" [(ngModel)]="feet" >
      </mat-form-field>
    </div>

    <div *ngIf="!heightMetric" class="inchesInput">
      <mat-form-field class="inputField">
        <mat-label>Inches</mat-label>
        <input matInput (change)="checkHeight()" [(ngModel)]="inches">
      </mat-form-field>
    </div>


    <div *ngIf="heightMetric" class="meterInput">
      <mat-form-field class="inputField">
        <mat-label>Meter</mat-label>
        <input matInput (change)="checkHeight()" [(ngModel)]="meter" >
      </mat-form-field>
    </div>

    <div *ngIf="heightMetric" class="cmInput">
      <mat-form-field class="inputField">
        <mat-label>Cm</mat-label>
        <input matInput (change)="checkHeight()" [(ngModel)]="cm">
      </mat-form-field>
    </div>

    <div class="swapUnit">
      <button mat-mini-fab class="miniMatButton" matTooltip="Change Units"
              (click)="heightMetric = !heightMetric">
        <i class="fas fa-exchange-alt"></i></button>
    </div>


  </div>

